Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class PelletDIGReasoner

    java.lang.Object
      org.mindswap.pellet.dig.DIGConstants
          org.mindswap.pellet.dig.DIGHandler
              org.mindswap.pellet.dig.DIGTellHandler
                  org.mindswap.pellet.dig.DIGAskHandler
                      org.mindswap.pellet.dig.PelletDIGReasoner

    public class PelletDIGReasoner

extends DIGAskHandler

Author:
  Evren Sirin

Field Summary

Fields inherited from class org.mindswap.pellet.dig.DIGConstants
`ALL, ALL_CONCEPT_NAMES, ALL_INDIVIDUALS, ALL_ROLE_NAMES, ANCESTORS, AND, ASK, ASKS, ATLEAST, ATMOST, ATTRIBUTE, BOTTOM, CATOM, CHAIN, CHILDREN, CLEARKB, CODE, CONCEPT_SET, DEFATTRIBUTE, DEFCONCEPT, DEFFEATURE, DEFINDIVIDUAL, DEFINED, DEFROLE, DESCENDANTS, DISJOINT, DOMAIN, EQUALC, EQUALR, EQUIVALENTS, ERROR, FALSE, FEATURE, FUNCTIONAL, GET_IDENTIFIER, ID, IDENTIFIER, IMPLIESC, IMPLIESR, INDIVIDUAL, INDIVIDUAL_PAIR, INDIVIDUAL_PAIR_SET, INDIVIDUAL_SET, INSTANCE, INSTANCEOF, INSTANCES, INTEQUALS, INTMAX, INTMIN, INTRANGE, INVERSE, ISET, IVAL, KB, LANGUAGE, MAX, MESSAGE, MIN, NAME, NAMESPACE, NEWKB, NOT, NUM, OK, OR, PARENTS, RANCESTORS, RANGE, RANGEINT, RANGESTRING, RATOM, RCHILDREN, RDESCENDANTS, RELATED, RELATED_INDIVIDUALS, RELEASEKB, RESPONSE, RESPONSES, ROLE_FILLERS, ROLE_SET, RPARENTS, SATISFIABLE, SCHEMA, SOME, STRINGEQUALS, STRINGMAX, STRINGMIN, STRINGRANGE, SUBSUMES, SUPPORTS, SVAL, SYNONYMS, TELL, TELLS, TOLD_VALUES, TOP, TRANSITIVE, TRUE, TYPES, URI, VAL, VALUE, VERSION, WARNING, XSI`

Constructor Summary
`PelletDIGReasoner()`

Method Summary
`org.w3c.dom.Document` | `getIdentifier()`
`java.lang.String` | `newKB()`
`KnowledgeBase` | `newKB(java.lang.String newURI)`
`org.w3c.dom.Document` | `process(org.w3c.dom.Document cmd)`
`void` | `process(java.io.InputStream in, java.io.OutputStream out)`
`void` | `process(java.io.Reader in, java.io.Writer out)`
`boolean` | `releaseKB(java.lang.String uri)`
`boolean` | `selectKB(java.lang.String uri)`
`void` | `unselectKB(java.lang.String uri)`

Methods inherited from class org.mindswap.pellet.dig.DIGAskHandler
`allConceptNames, allIndividuals, allRoleNames, ancestors, asks, children, descendants, disjoint, equivalents, instance, instances, parents, rancestors, rchildren, rdescendants, relatedIndividuals, roleFillers, rparents, satisfiable, subsumes, toldValues, types`

Methods inherited from class org.mindswap.pellet.dig.DIGTellHandler
`tells`

Methods inherited from class org.mindswap.pellet.dig.DIGHandler
`concept, getAttributeValue, getElement, getElementArray, getElements, getElements, getId, getIntVal, getInverse, getKB, getName, getNameTerm, getNum, getTagName, getURI, getVal, individual, literal, property, serialize, serialize, setKB`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PelletDIGReasoner

    public PelletDIGReasoner()

Method Detail

### process

    public void process(java.io.InputStream in,
                        java.io.OutputStream out)
                 throws org.xml.sax.SAXException,
                        java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### process

    public void process(java.io.Reader in,
                        java.io.Writer out)
                 throws org.xml.sax.SAXException,
                        java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### process

    public org.w3c.dom.Document process(org.w3c.dom.Document cmd)

### selectKB

    public boolean selectKB(java.lang.String uri)

### unselectKB

    public void unselectKB(java.lang.String uri)

### getIdentifier

    public org.w3c.dom.Document getIdentifier()

### newKB

    public java.lang.String newKB()

### newKB

    public KnowledgeBase newKB(java.lang.String newURI)

### releaseKB

    public boolean releaseKB(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.